Bug 1115849 - Include store-config sources in src zips [NEEDINFO]
Include store-config sources in src zips
Status: ASSIGNED
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6, tomcat7 (Show other bugs)
2.1.0
Unspecified Unspecified
medium Severity high
: ---
: TBD EWS
Assigned To: Jean-frederic Clere
Michal Karm Babacek
:
Depends On:
Blocks: 956509
  Show dependency treegraph
 
Reported: 2014-07-03 05:05 EDT by Libor Fuka
Modified: 2015-11-01 19:23 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server, the <filename>store-config</filename> source files are not included in the source zip. This is a known issue in JBoss Enterprise Web Server 3.0 and there is currently no workaround for this problem.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhusnain: needinfo? (weli)


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2014-07-03 05:05:35 EDT
Description of problem:
Add T6 and T7 store-config jar sources in EWS src zips.
Comment 1 Mladen Turk 2014-07-03 05:09:47 EDT
Sources are reay to include but were not rebuild waiting for the storeconfig fixes and ER4 update (at least for Windows and Solaris)
Comment 2 Weinan Li 2014-07-07 03:53:23 EDT
Currently we don't have a src-zip rpm in streconfig-tc[67]. Dave, could you please help to create the src-zip package in them? Thanks!
Comment 3 Weinan Li 2014-07-08 13:04:22 EDT
Simliar to https://bugzilla.redhat.com/show_bug.cgi?id=1116863 let's defer this to EWS3.
Comment 4 Libor Fuka 2014-08-04 04:55:37 EDT
storeconfig sources are included in CR2 for Solaris and Windows zips not for RHEL zip
Comment 5 Weinan Li 2014-08-06 04:35:51 EDT
Let's fix this in future versions.

Dave, please help to create the -zip rpms for storeconfig-tc[67] like we have in tomcat[67].
Comment 6 Misha H. Ali 2014-08-09 01:37:12 EDT
Not sure what we want to tell users about this issue in RN. Can a dev please help identifying what the problem is here and how it manifests?
Comment 7 Jean-frederic Clere 2014-08-14 02:10:23 EDT
Basically in the src zip the store-config sources are missing, that is a known issue we will fix it in the next release.

Note You need to log in before you can comment on or make changes to this bug.